
<h3 class="mb-3 p-5">
    Add Business
</h3>

<div class="p-5">
    <form [formGroup]="businessForm">
        <div class="form-group row">
            <div class="col-xl-6">
                <div class="row">
                    <div class="col-xl-3  d-flex align-items-center">
                        <label class=" d-flex align-items-center">
                            Business Logo
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center ">
                        <app-image-upload></app-image-upload>
                    </div>

                    <!-- Business Name  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business Name
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Business Name</mat-label>
                            <input matInput placeholder="Business Name" required formControlName="businessName">
                        </mat-form-field>
                    </div>

                    <!-- Business Registration Name  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business Registration Name
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Business Registration Name</mat-label>
                            <input matInput placeholder="Business Registration Name" formControlName="businessRegistrationName">
                        </mat-form-field>
                    </div>

                    <!-- Business Registration Number  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business Registration Number
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Business Registration Number</mat-label>
                            <input matInput placeholder="Business Registration Number" formControlName="businessRegistrationNo">
                        </mat-form-field>
                    </div>

                    <!-- Contact Person  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Contact Person
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Contact Person</mat-label>
                            <mat-select formControlName="contactPerson">
                                <mat-option value="A">
                                    A
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <mat-divider></mat-divider>

                    <!-- Address details -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Address details
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center row">
                        <div class="col-xl-12">
                          <app-address-field [addressForm]="businessForm" [hasAddress2]="true"></app-address-field>
                        </div>

<!--                        <div class="col-xl-12">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>Address 1</mat-label>-->
<!--                                <input matInput placeholder="Address 1" formControlName="address1">-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
<!--                        <div class="col-xl-12">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>Address 2</mat-label>-->
<!--                                <input matInput placeholder="Address 2" formControlName="address2">-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
<!--                        <div class="col-xl-6">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>Country</mat-label>-->
<!--                                <input matInput placeholder="Country" formControlName="country">-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
<!--                        <div class="col-xl-6">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>State</mat-label>-->
<!--                                <mat-select formControlName="state">-->
<!--                                    <mat-option value="ACT">-->
<!--                                        ACT-->
<!--                                    </mat-option>-->
<!--                                    <mat-option value="NSW">-->
<!--                                        NSW-->
<!--                                    </mat-option>-->
<!--                                </mat-select>-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
<!--                        <div class="col-xl-6">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>City</mat-label>-->
<!--                                <mat-select formControlName="city">-->
<!--                                    <mat-option value="Sydney">-->
<!--                                        Sydney-->
<!--                                    </mat-option>-->
<!--                                    <mat-option value="Melbourne">-->
<!--                                        Melbourne-->
<!--                                    </mat-option>-->
<!--                                </mat-select>-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
<!--                        <div class="col-xl-6">-->
<!--                            <mat-form-field [appearance]="apperance">-->
<!--                                <mat-label>Post code</mat-label>-->
<!--                                <input matInput placeholder="Post code" formControlName="postCode">-->
<!--                            </mat-form-field>-->
<!--                        </div>-->
                    </div>

                    <!-- Phone  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Phone
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Phone</mat-label>
                            <input matInput placeholder="Phone" type="tel" formControlName="phone">
                        </mat-form-field>
                    </div>

                    <!-- Mobile  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Mobile
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Mobile</mat-label>
                            <input matInput placeholder="Mobile" type="tel" formControlName="mobile">
                        </mat-form-field>
                    </div>

                    <!-- Fax  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Fax
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Fax</mat-label>
                            <input matInput placeholder="Fax" type="tel" formControlName="fax">
                        </mat-form-field>
                    </div>


                    <!-- Email id  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Email id
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Email id</mat-label>
                            <input matInput placeholder="Email id" required formControlName="emailId">
                        </mat-form-field>
                    </div>

                    <!-- Website  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Website
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Website</mat-label>
                            <input matInput placeholder="Website" formControlName="website">
                        </mat-form-field>
                    </div>

                    <!-- Website  -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business Status
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-slide-toggle formControlName="status"></mat-slide-toggle>
                    </div>
                </div>
            </div>
            <div class="col-xl-6">
                <div class="row">
                    <!-- Timezone -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Timezone
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Timezone</mat-label>
                            <mat-select  formControlName="timeZone">
                                <mat-option value="AEST">
                                    AEST GMT +10
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <!-- Business Start Time -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business Start Time
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Business Start Time</mat-label>
                            <mat-select  formControlName="startTime">
                                <mat-option value="8AM">
                                    8AM
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <!-- Business End Time -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Business End Time
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Business End Time</mat-label>
                            <mat-select  formControlName="endTime">
                                <mat-option value="5PM">
                                    5PM
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <!-- Time slot-->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Time slot
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Time slot</mat-label>
                            <mat-select  formControlName="timeSlot">
                                <mat-option value="5">
                                    5 mins
                                </mat-option>
                                <mat-option value="10">
                                    10 mins
                                </mat-option>
                                <mat-option value="15">
                                    15 mins
                                </mat-option>
                                <mat-option value="20">
                                    20 mins
                                </mat-option>
                                <mat-option value="30">
                                    30 mins
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <!-- Time slot Size -->
                    <div class="col-xl-3  d-flex align-items-center">
                        <label>
                            Time slot Size
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-form-field [appearance]="apperance">
                            <mat-label>Time slot Size</mat-label>
                            <mat-select formControlName="timeSlotSize">
                                <mat-option value="Small">
                                    Small
                                </mat-option>
                                <mat-option value="Medium">
                                    Medium
                                </mat-option>
                                <mat-option value="Default">
                                    Default
                                </mat-option>
                                <mat-option value="Large">
                                    Large
                                </mat-option>
                                <mat-option value="Big">
                                    Big
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <!-- Calendar Color -->
                    <div class="col-xl-3  d-flex align-items-center mt-3">
                        <label>
                            Calendar Color
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <button [(colorPicker)]="color" [style.background]="color" style="width: 30px; height: 20px;"></button>
                        <input type="hidden" formControlName="calendarColor" [ngModel]="color" />
                        <span class="ml-1">
                            {{ color }}
                        </span>
                    </div>


                    <!-- Double Booking -->
                    <div class="col-xl-3  d-flex align-items-center mt-3">
                        <label>
                            Double Booking
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-slide-toggle formControlName="isDoubleBooking"></mat-slide-toggle>
                    </div>

                    <!-- Patient Online Bookings -->
                    <div class="col-xl-3  d-flex align-items-center mt-3">
                        <label>
                            Patient Online Bookings
                        </label>
                    </div>
                    <div class="col-xl-9  d-flex align-items-center">
                        <mat-slide-toggle formControlName="isPatientOnlineBooking"></mat-slide-toggle>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>


<div class="text-right control-row">
    <div class="pt-3">
        <button mat-raised-button color="accent" class="mr-3" (click)="createBusiness();">Save</button>
        <button mat-raised-button color="accent" class="mr-3">Cancel</button>
    </div>
</div>
